# Conditional build:
%bcond_without  python2         # build python 2 module
%bcond_without  python3         # build python 3 module

%define		module	requests_oauthlib
Summary:	First-class OAuth library support for python-requests
Name:		python-%{module}
Version:	0.6.1
Release:	2
License:	ISC
Group:		Development/Languages/Python
Source0:	https://pypi.python.org/packages/source/r/requests-oauthlib/requests-oauthlib-%{version}.tar.gz
# Source0-md5:	f159bc7675ebe6a2d76798f4c00c5bf8
URL:		https://github.com/requests/requests-oauthlib
%if %{with python2}
BuildRequires:	python-distribute
BuildRequires:	python-modules >= 1:2.6
%endif
%if %{with python3}
BuildRequires:	python3-distribute
BuildRequires:	python3-modules >= 1:3.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-modules >= 1:2.6
Requires:	python-oauthlib >= 0.4.2
Requires:	python-requests >= 1.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
First-class OAuth library support for python-requests.

%package -n python3-requests_oauthlib
Summary:	First-class OAuth library support for python-requests
Group:		Development/Languages/Python
Requires:	python3-modules >= 3.2
Requires:	python3-oauthlib >= 0.4.2
Requires:	python3-requests >= 1.0.0

%description -n python3-requests_oauthlib
First-class OAuth library support for python-requests.

%prep
%setup -q -n requests-oauthlib-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%{__rm} -rf $RPM_BUILD_ROOT{%{py_sitescriptdir},%{py3_sitescriptdir}}/%{module}/{cacert.pem,packages}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%{py_sitescriptdir}/%{module}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-requests_oauthlib
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-requests_oauthlib.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e0f244
- python 3.6
- release 2 (by relup.sh)

* Mon Jun 20 2016 Elan Ruusamäe <glen@delfi.ee> c86c504
- v0.6.1 (19 February 2016)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 4d7e429
- use rpm python macros
- rel 4

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 26ac90b
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b37622f
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1249599
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> cd17d86
- release 2 (by relup.sh)

* Tue Sep 08 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c571afb
- up to 0.5.0

* Thu Sep 12 2013 Jacek Konieczny <jajcus@jajcus.net> a6a4313
- new package

